Bug 137530 - linux/nfs_mount.h is missing #define for NFS_MOUNT_NOACL flag
linux/nfs_mount.h is missing #define for NFS_MOUNT_NOACL flag
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc-kernheaders (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks: 132991
  Show dependency treegraph
 
Reported: 2004-10-29 06:23 EDT by Daniel Berrange
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 09:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-10-29 06:23:21 EDT
User-Agent:       
Build Identifier: 

The RHEL3 kernel contains patches to add ACL support to NFS v3. This includes a
new NFS mount option 'noacl'. The version of nfs_mount.h in the kjernel source
contains the constant

#define NFS_MOUNT_NOACL   0x0800 

However, this is missing from the nfs_mount.h present in glibc-kernheaders. The
am-utils automounter, uses the nfs_mount.h to determine what flags are supported
for the mount syscall on NFS filesystems, thus needs this constant to be added.

Reproducible: Always
Steps to Reproduce:
1. Compile any program that wants the NFS_MOUNT_NOACL constant
2.
3.

Actual Results:  
Comnpile fails / constant is not found

Expected Results:  
Compiles succeeeds & constant is found
Comment 1 David Woodhouse 2005-04-15 09:54:53 EDT
The upstream kernel doesn't define NFS_MOUNT_NOACL, so I don't believe we should
be defining it in glibc-kernheaders either -- that should stick to the pure ABI
and not include local hacks. Until/unless NFS_MOUNT_NOACL is supported in an
upstream kernel (even a 2.6 kernel), please continue to define it in your own
local header files.

While it's a local hack in our kernel, it needs to remain a local hack in our
userspace too, unforunately. 

Note You need to log in before you can comment on or make changes to this bug.